<?php

function get_chart($data)
{
    $chartResult = array();
    $args = array(
        "post_type" => "welcome",
        'post_status' => 'publish',
        "order" => "ASC",
    );

    $service_query = new WP_Query($args);
    if ($service_query->have_posts()) {
        while ($service_query->have_posts()) {
            $service_query->the_post();
            $chart_id = get_the_id();
            $welcome_title = get_field("welcome_title");
            $welcome_name = get_field("welcome_name");
            $welcome_image_ID = get_field("welcome_image");
            $welcome_image = wp_get_attachment_url($welcome_image_ID);
            $welcome_function = get_field("welcome_function");
            $welcome_content = get_field("welcome_content");

            array_push($chartResult, array(
                "ID" => $chart_id,
                "title" => $welcome_title,
                "name" => $welcome_name,
                "image" => $welcome_image ? $welcome_image : null,
                "function" => $welcome_function ? $welcome_function : null,
                "mot" => $welcome_content ? $welcome_content : null,
            ));
        }
    }
    $object = new stdClass();
    $object->code = "success";
    $object->data = $chartResult;
    return $object;
}


function get_etab($data)
{
    $appID = getAppHeader();

    $chartResult = array();
    $args = array(
        "post_type" => "hospital",
        'post_status' => 'publish',
        "order" => "ASC",
        'cat' => $appID,
    );

    $service_query = new WP_Query($args);
    if ($service_query->have_posts()) {
        while ($service_query->have_posts()) {
            $service_query->the_post();
            $chart_id = get_the_id();
            $hospital_title = get_field("hospital_title");
            $hospital_icon = get_field("hospital_icon");
            $hospital_content = get_field("hospital_content");

            array_push($chartResult, array(
                "ID" => $chart_id,
                "title" => $hospital_title,
                "image" => $hospital_icon ? $hospital_icon : null,
                "content" => $hospital_content ? $hospital_content : null,
            ));
        }
    }
    $object = new stdClass();
    $object->code = "success";
    $object->data = $chartResult;
    return $object;
}

function get_sondage($data) {

    $sondages = new stdClass();

    // Réccupérer le dernier sondage publié
    $args = array(
        "post_type" => "sondage",
        'post_status' => 'publish',
        'orderby' => 'date',
        'order'   => 'DESC',
        'posts_per_page' => 1,
    );

    $sondage_query = new WP_Query($args);
    if ($sondage_query->have_posts()) {
        while ($sondage_query->have_posts()) {
            $sondage_query->the_post();
            $sondage_id = get_the_id();
            $sondage_question = get_field("question");
            $sondage_answers = get_field("answers");

            $sondages->ID =  $sondage_id;
            $sondages->question =  $sondage_question;
            $sondages->answers =  $sondage_answers;
        }
    }
    $object = new stdClass();
    $object->code = "success";
    $object->data = $sondages;
    return $object;
}

function add_sondage($request_data) {

    $parameters = $request_data->get_params();

    if (!isset($parameters['sondage_id']) || empty($parameters['sondage_id'])) {
        return new WP_Error('error', "no_sondage_id_given", array('status' => 401));
    }

    if (!isset($parameters['answer']) || empty($parameters['answer'])) {
        return new WP_Error('error', "no_answer_given", array('status' => 401));
    }

    $sondage_id = $parameters['sondage_id'];
    $answer = $parameters['answer'];

    $answers = get_field("answers", $sondage_id);
    $answers_stringify = json_encode($answers);

    global $wpdb;
    $prefix = $wpdb->prefix;

    $result = $wpdb->insert("{$prefix}sondage", array(
        "sondage_id" => $sondage_id,
        "answer" => $answer,
        "answers" => $answers_stringify,
    ));

    if($result) {
        $object = new stdClass();
        $object->status = "success";
        return $object;
    } else {
        return new WP_Error('error', "Erreur SQL", array('status' => 401));
    }

}

