<?php

function get_annuaire()
{
    $medecins = array();
    $args = array(
        "post_type" => "doctor",
        "post_status" => "publish",
        "posts_per_page" => -1,
        "order" => "ASC",
        'meta_key' => 'medecin_lastname',
	    'orderby' => 'meta_value',
    );

    $medecin_query = new WP_Query($args);
    if ($medecin_query->have_posts()) {
        while ($medecin_query->have_posts()) {

            $medecin_query->the_post();
            $ID = get_the_id();

            $medecin_fullName =get_field("medecin_lastname")." ".get_field("medecin_firstname");
            $medecin_job = get_field("medecin_job");
            $medecin_number = get_field("medecin_numbers");
            $medecin_mails = get_field("medecin_mails");


            $medecin_service = get_field("medecin_service");


                array_push($medecins, array(
                    "ID" => $ID,
                    "fullName" => $medecin_fullName,
                    "job" => $medecin_job,
                    "numbers" => $medecin_number,
                    "mails" => $medecin_mails,
                    "service" => $medecin_service,
                )
                );



        }
    }

    $services = array();


    $args = array(
        "post_type" => "service",
        "post_status" => "publish",
        "posts_per_page" => -1,
        "order" => "ASC",
	    'orderby' => 'post_title',
    );

    $service_query = new WP_Query($args);
    if ($service_query->have_posts()) {
        while ($service_query->have_posts()) {


            $service_query->the_post();
            $ID = get_the_id();
            $title = get_the_title();
            $service_contacts = get_field("service_contacts");
            $service_contacts_temps = array();

            foreach($service_contacts as $contact) {
                array_push($service_contacts_temps, array (
                    "service_job" =>$contact["service_job"],
                    "service_number" =>$contact["service_number"],
                    "service_fullName" =>  strtoupper($contact["service_lastname"])." ".$contact["service_firstname"],
                ));
            }

            array_push($services, array(
                "ID" => $ID,
                "title" => $title,
                "service_contacts" => $service_contacts_temps,
                )
            );

        }
    }


    $poles = array();

    $args = array(
        "post_type" => "useful-number",
        "post_status" => "publish",
        "posts_per_page" => -1,
        "orderby" => 'menu_order',
        "order" => "ASC",
    );

    $pole_query = new WP_Query($args);
    if ($pole_query->have_posts()) {
        while ($pole_query->have_posts()) {

            $pole_query->the_post();
            $ID = get_the_id();
            $title_pole = get_the_title();


            $numUtiles = get_field("useful_numbers");
            $important = get_field("pole_important");

            array_push($poles, array(
                "ID" => $ID,
                "title" => $title_pole,
                "numUtiles" => $numUtiles,
                "important" => $important
            )
            );
        }
    }


    $object = new stdClass();
    $object->code = "success";
    $object->data = new stdClass();
    $object->data->medecins = $medecins;
    $object->data->services = $services;
    $object->data->poles = $poles;
    return $object;

}
