<?php


function rate_app($request_data)
{

    $parameters = $request_data->get_params();

    if (!isset($parameters['note']) || empty($parameters['note'])) {
        return new WP_Error('error', "no_note_given", array('status' => 401));
    }

    $message = $parameters['message'];
    $note = $parameters['note'];

    $term = get_term_by( 'name', 'app', 'ratingType');

    $post_id = wp_insert_post(array (
        'post_type' => 'rating',
        'post_title' => $message,
        'post_status' => 'publish',
        'comment_status' => 'closed',
        'ping_status' => 'closed',
        'tax_input' => array(
            'ratingType' => array(
                $term->term_id
            ),
        ),
        'meta_input' => array(
           'rate' => $note,
           'comment' => $message,
         ),
     ));

    if($post_id) {
        $object = new stdClass();
        $object->status = "success";
        return $object;
    } else {
        return new WP_Error('error', "Erreur SQL", array('status' => 401));
    }
}

function rate_stage($request_data)
{

    $parameters = $request_data->get_params();

    if (!isset($parameters['note']) || empty($parameters['note'])) {
        return new WP_Error('error', "no_note_given", array('status' => 401));

    }
    if (!isset($parameters['service']) || empty($parameters['service'])) {
        return new WP_Error('error', "no_service_given", array('status' => 401));

    }

    $service = $parameters['service'];
    $message = $parameters['message'];
    $note = $parameters['note'];

    $term = get_term_by( 'name', 'stage', 'ratingType');

    $post_id = wp_insert_post(array (
        'post_type' => 'rating',
        'post_title' => $message,
        'post_status' => 'publish',
        'comment_status' => 'closed',
        'ping_status' => 'closed',
        'tax_input' => array(
            'ratingType' => array(
                $term->term_id
            ),
        ),
        'meta_input' => array(
           'rate' => $note,
           'service' => $service,
           'comment' => $message,
         ),
     ));

    if($post_id) {
        $object = new stdClass();
        $object->status = "success";
        return $object;
    } else {
        return new WP_Error('error', "Erreur SQL", array('status' => 401));
    }
}
