<?php

add_action('admin_menu', 'add_links_menu');

// Création de la page d'importation du fichier ASIP en txt.
function add_links_menu()
{
    add_menu_page("Import annuaire", "import annuaire", 'manage_options', 'page_import_slug', 'page_import', 'images/marker.png', 5);
    // add_menu_page("Notes", "Notes", 'manage_options', 'page_note_slug', 'page_note', 'images/marker.png', 5);
    add_menu_page("Notification", "Notification", 'delete_posts', 'page_notification_slug', 'page_notification', 'images/marker.png', 5);
}
function page_import()
{
    include_once get_template_directory().'/views/import.php';
}

function page_note()
{
    include_once get_template_directory().'/views/note.php';
}

function page_notification()
{
    include_once get_template_directory().'/views/notification.php';
}


function add_custom_headers()
{
    add_filter('rest_pre_serve_request', function ($value) {
        header('Access-Control-Allow-Headers: Authorization, X-WP-Nonce,Content-Type, X-Requested-With, X-User');
        header('Access-Control-Allow-Origin: *');
        header('Access-Control-Allow-Methods: POST, GET, OPTIONS, PUT, DELETE');
        header('Access-Control-Allow-Credentials: true');
        return $value;
    });
}
add_action('rest_api_init', 'add_custom_headers', 15);


add_action('rest_api_init', function () {

    /* ------------------ Actualité ------------------ */

    register_rest_route('mobile', '/news/(?P<page_id>\d+)/(?P<offset>\d+)', array(
        'methods' => 'GET',
        'callback' => __NAMESPACE__ . '\\get_news',
    ));

    register_rest_route('mobile', '/news/(?P<news_id>\d+)', array(
        'methods' => 'GET',
        'callback' => __NAMESPACE__ . '\\get_single_news',
    ));

    /* ------------------ Pages ------------------ */

    register_rest_route('mobile', '/pages', array(
        'methods' => 'GET',
        'callback' => __NAMESPACE__ . '\\get_pages_custom',
    ));

    register_rest_route('mobile', '/pages/(?P<id>\d+)', array(
        'methods' => 'GET',
        'callback' => __NAMESPACE__ . '\\get_page_by_id',
    ));

    /* ------------------ Menu ------------------ */

    register_rest_route('mobile', '/menu', array(
        'methods' => 'GET',
        'callback' => __NAMESPACE__ . '\\get_menu',
    ));

    /* ------------------ Annuaire ------------------ */

    register_rest_route('mobile', '/annuaire', array(
        'methods' => 'GET',
        'callback' => __NAMESPACE__ . '\\get_annuaire',
    ));

    /* ------------------ Accueil ------------------ */

    register_rest_route('mobile', '/chart', array(
        'methods' => 'GET',
        'callback' => __NAMESPACE__ . '\\get_chart',
    ));

    register_rest_route('mobile', '/etab', array(
        'methods' => 'GET',
        'callback' => __NAMESPACE__ . '\\get_etab',
    ));

    register_rest_route('mobile', '/funfact', array(
        'methods' => 'GET',
        'callback' => __NAMESPACE__ . '\\get_funfact',
    ));


    /* ------------------ Noter l'application ------------------ */

    register_rest_route('mobile', '/rate/app', array(
        'methods' => 'POST',
        'callback' => __NAMESPACE__ . '\\rate_app',
    ));

    register_rest_route('mobile', '/rate/stage', array(
        'methods' => 'POST',
        'callback' => __NAMESPACE__ . '\\rate_stage',
    ));

    /* ------------------ Sondage ------------------ */

    register_rest_route('mobile', '/sondage', array(
        'methods' => 'GET',
        'callback' => __NAMESPACE__ . '\\get_sondage',
    ));

    register_rest_route('mobile', '/sondage', array(
        'methods' => 'POST',
        'callback' => __NAMESPACE__ . '\\add_sondage',
    ));

    /* ------------------ Noter l'application ------------------ */

    register_rest_route('mobile', '/statistic', array(
        'methods' => 'POST',
        'callback' => __NAMESPACE__ . '\\add_stat',
    ));
}, 15);

// add_filter('rest_authentication_errors', function ($result) {
//         if (!empty($result)) {
//             return $result;
//         }
//         if (
//             !is_user_logged_in()
//             && strpos($_SERVER['REQUEST_URI'], "/BabyFoch/wp-json/jwt-auth/v1/token") === false
//         ) {
//             return new WP_Error('rest_not_logged_in', 'You are not currently logged in.', array('status' => 209));
//         }
//         return $result;
//     });
