<?php

/**
 * This is an example file showcasing how you can add custom Actualités to your Flynt theme.
 *
 * For a full list of parameters see https://developer.wordpress.org/reference/functions/register_post_type/ or use https://generatewp.com/post-type/ to generate the code for you.
 */

namespace Flynt\CustomPostTypes;

function registerNewsPostType()
{
    $labels = [
        'name'                     => 'Actualités',
        'singular_name'            => 'Actualité',
        'menu_name'                => 'Actualités',
        'add_new'                  => 'Ajouter',
        'add_new_item'             => 'Ajouter une nouvelle actualité',
        'edit_item'                => 'Modifier l’actualité',
        'new_item'                 => 'Nouvelle actualité',
        'view_item'                => 'Voir l’actualité',
        'view_items'               => 'Voir les actualités',
        'search_items'             => 'Rechercher dans les actualités',
        'not_found'                => 'Aucune actualité trouvée.',
        'not_found_in_trash'       => 'Aucune actualité trouvée dans la corbeille',
        'parent_item_colon'        => 'Actualité parente :',
        'all_items'                => 'Toutes les actualités',
        'archives'                 => 'Archive des actualités',
        'attributes'               => 'Attributs de l’actualité',
        'insert_into_item'         => 'Insérer dans l’actualité',
        'uploaded_to_this_item'    => 'Téléversé sur cette actualité',
        'feature_image'            => 'Image à la une',
        'set_featured_image'       => 'Utiliser comme image à la une',
        'remove_featured_image'    => 'Supprimer l’image à la une',
        'use_featured_image'       => 'Utiliser comme image à la une',
        'filter_items_list'        => 'Filtrer la liste des actualités',
        'filter_by_date'           => 'Filtrer par date',
        'items_list_navigation'    => 'Navigation de la liste des actualités',
        'items_list'               => 'Liste des actualités',
        'item_published'           => 'Actualité publiée',
        'item_published_privately' => 'Actualité mise en ligne en privé.',
        'item_reverted_to_draft'   => 'Actualité reconvertie en brouillon.',
        'item_scheduled'           => 'Actualité planifiée.',
        'item_updated'             => 'Actualité mise à jour.',
        'item_link'                => 'Lien d’actualité',
        'item_link_description'    => 'Un lien vers une actualité',
    ];
    $args = [
        'label'                 => __('Actualité', 'flynt'),
        'description'           => __('Actualité Description', 'flynt'),
        'labels'                => $labels,
        'supports'              => ['title', 'revisions'],
        'taxonomies'            => ['category', 'post_tag'],
        'hierarchical'          => false,
        'public'                => true,
        'show_ui'               => true,
        'show_in_menu'          => true,
        'menu_position'         => 45,
        'show_in_admin_bar'     => true,
        'show_in_nav_menus'     => true,
        'can_export'            => true,
        'has_archive'           => true,
        'exclude_from_search'   => false,
        'publicly_queryable'    => true,
        'capability_type'       => 'page',
        'show_in_rest'          => true,
        'menu_icon'             => 'dashicons-admin-site',

    ];
    register_post_type('news', $args);
}

add_action('init', '\\Flynt\\CustomPostTypes\\registerNewsPostType');
